Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177507 - Review Request: pida
Summary: Review Request: pida
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-01-11 11:21 UTC by Rudolf Kastl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 19:56:06 UTC


Attachments (Terms of Use)
pida 0.2.2-0.1 spec file (deleted)
2006-01-11 11:21 UTC, Rudolf Kastl
no flags Details
pida 0.2.2-0.1 src rpm (deleted)
2006-01-11 11:23 UTC, Rudolf Kastl
no flags Details
pida 0.2.2-0.2 src rpm (deleted)
2006-01-11 11:40 UTC, Rudolf Kastl
no flags Details
pida 0.2.2-0.2 spec file (deleted)
2006-01-11 11:43 UTC, Rudolf Kastl
no flags Details
pida 0.3.1-0.1 spec file (deleted)
2006-02-08 09:43 UTC, Rudolf Kastl
no flags Details
pida 0.3.1-0.2 spec file (deleted)
2006-02-08 09:49 UTC, Rudolf Kastl
no flags Details

Description Rudolf Kastl 2006-01-11 11:21:08 UTC
the python integrated development application for review.

also looking for a sponsor.

Comment 1 Rudolf Kastl 2006-01-11 11:21:08 UTC
Created attachment 123047 [details]
pida 0.2.2-0.1 spec file

Comment 2 Rudolf Kastl 2006-01-11 11:23:04 UTC
Created attachment 123049 [details]
pida 0.2.2-0.1 src rpm

Comment 3 Rudolf Kastl 2006-01-11 11:40:30 UTC
Created attachment 123051 [details]
pida 0.2.2-0.2 src rpm

Comment 4 Rudolf Kastl 2006-01-11 11:43:15 UTC
Created attachment 123052 [details]
pida 0.2.2-0.2 spec file

Comment 5 Rudolf Kastl 2006-01-11 17:53:53 UTC
list of known issues:

- gazpacho integration not working with since gazpacho 0.6.3 too new (will be
fixed with pida 0.3.0 in a few weeks.

- usually bicyclerepair would be required to load the python plugins but i left
the dependencys out since the plugins (browser/profiler/debugger) dont load
anyways. (will be fixed with 0.3.0)



Comment 6 Thorsten Leemhuis 2006-01-21 15:48:01 UTC
- This
>Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
is not needed anymore -- works automatically in FC4 and later
- Don't repeat the name of the package in the beginning of the summary
- The license doesn't look like GPL
- Description needs a linebreak after 80 chars
- Description might be a bit to long
- Change
Requires:   desktop-file-utils
to
BuildRequires:   desktop-file-utils
- In the future please add versions in the changelog entrys
- why "Release: 0.2" and not "Release: 2"?
- saw those warnings when starting pida:
which: no pydoc in
(/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/rpmbuild/usr/bin:/home/rpmbuild/server/usr/bin)
which: no xemacs in
(/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/rpmbuild/usr/bin:/home/rpmbuild/server/usr/bin)
Are they relevant?
- In the future please upload the srpms somewhere to the web and post only post
links to it -- don't attach the packages in bugzilla

(In reply to comment #5)
> list of known issues:
> - usually bicyclerepair would be required to load the python plugins but i left
> the dependencys out since the plugins (browser/profiler/debugger) dont load
> anyways. (will be fixed with 0.3.0)

I would add it nevertheless 

Comment 7 Rudolf Kastl 2006-02-08 09:43:56 UTC
Created attachment 124368 [details]
pida 0.3.1-0.1 spec file

version upgrade, lots of fixes.

Comment 8 Rudolf Kastl 2006-02-08 09:49:46 UTC
Created attachment 124369 [details]
pida 0.3.1-0.2 spec file

only fixes summary as suggested by thl

Comment 9 Rudolf Kastl 2006-02-08 09:57:42 UTC
(In reply to comment #6)
> - This
> >Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
> is not needed anymore -- works automatically in FC4 and later

alright thats cleaned up now.

> - Don't repeat the name of the package in the beginning of the summary

cosmetical fix done ;)

> - The license doesn't look like GPL

its MIT... fixed

> - Description needs a linebreak after 80 chars

linebreaks done

> - Description might be a bit to long

gotta recheck that. shouldnt be a big problem to make it shorter

> - Change
> Requires:   desktop-file-utils
> to
> BuildRequires:   desktop-file-utils

thats correct and fixed now

> - In the future please add versions in the changelog 

also done

> - why "Release: 0.2" and not "Release: 2"?

this has multible reasons. first i dont want to give the impression that the
package is yet really production ready and second of all i wanted to start of
with a clean -1 release once its approved. in my eyes pida is very promising
software but very young yet so it can definitely use some love and care already.
0.3.1 is a useable release if the embedded vim editor is used.

> - saw those warnings when starting pida:
> which: no pydoc in
>
(/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/rpmbuild/usr/bin:/home/rpmbuild/server/usr/bin)
> which: no xemacs in
>
(/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/rpmbuild/usr/bin:/home/rpmbuild/server/usr/bin)
> Are they relevant?

optional components. pida is a framework.

> - In the future please upload the srpms somewhere to the web and post only post
> links to it -- don't attach the packages in bugzilla

alright but unfortunately thats the reason why i dont have the src rpm up yet. 

> 
> (In reply to comment #5)
> > list of known issues:
> > - usually bicyclerepair would be required to load the python plugins but i left
> > the dependencys out since the plugins (browser/profiler/debugger) dont load
> > anyways. (will be fixed with 0.3.0)
> 
> I would add it nevertheless 

seems to be not even required anymore. but i will talk back to upstream. going
to clear up the issue until the next src rpm upload.

TODO:

1) do something with the stuff in docs/ folder... maybe it would be nice to pdf
those html manuals. suggestions?

2) get the vim problem fixed (actually i had problems to get the external vim
editor going)

3) build install and split off the in extras/ included gazpacho plugin

4) report all found issues to upstream


Comment 10 Thorsten Leemhuis 2006-08-06 12:41:16 UTC
ping che -- any progress planed?

Comment 11 Jason Tibbitts 2007-05-07 05:12:25 UTC
It's been a really long time since anything happened with this ticket; what's up?


Note You need to log in before you can comment on or make changes to this bug.